## gov.usgs.earthquake.event
Class JsonEvent

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.json.simple.JSONObject
                  gov.usgs.earthquake.event.JsonEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, org.json.simple.JSONAware, org.json.simple.JSONStreamAware

    public class JsonEvent

extends org.json.simple.JSONObject

JSON Event class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`JsonEvent(org.json.simple.JSONObject json)` Construct a new JSONEvent from an existing json object.

Method Summary
`java.lang.String` `getAlert()`
`java.math.BigDecimal` `getCdi()`
`java.lang.String` `getCode()`
`java.math.BigDecimal` `getDepth()`
`java.lang.String` `getDetail()`
`java.math.BigDecimal` `getDmin()`
`EventId` `getEventId()`
`java.lang.Integer` `getFelt()`
`java.math.BigDecimal` `getGap()`
`java.lang.String` `getIds()`
`java.math.BigDecimal` `getLatitude()`
`java.math.BigDecimal` `getLongitude()`
`java.math.BigDecimal` `getMag()`
`java.lang.String` `getMagType()`
`java.math.BigDecimal` `getMmi()`
`java.lang.String` `getNet()`
`java.lang.Integer` `getNst()`
`java.lang.String` `getPlace()`
`java.math.BigDecimal` `getRms()`
`java.lang.Integer` `getSig()`
`java.lang.String` `getSources()`
`java.lang.String` `getStatus()`
`java.util.Date` `getTime()`
`java.lang.Integer` `getTsunami()`
`java.lang.String` `getType()`
`java.lang.String` `getTypes()`
`java.lang.Integer` `getTz()`
`java.util.Date` `getUpdated()`
`java.lang.String` `getUrl()`

Methods inherited from class org.json.simple.JSONObject
`escape, toJSONString, toJSONString, toString, toString, writeJSONString, writeJSONString`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### JsonEvent

    public JsonEvent(org.json.simple.JSONObject json)

  Construct a new JSONEvent from an existing json object.

  Parameters:
    `json` -

Method Detail

### getEventId

    public EventId getEventId()

### getMag

    public java.math.BigDecimal getMag()

### getCdi

    public java.math.BigDecimal getCdi()

### getMmi

    public java.math.BigDecimal getMmi()

### getDmin

    public java.math.BigDecimal getDmin()

### getRms

    public java.math.BigDecimal getRms()

### getGap

    public java.math.BigDecimal getGap()

### getLongitude

    public java.math.BigDecimal getLongitude()

### getLatitude

    public java.math.BigDecimal getLatitude()

### getDepth

    public java.math.BigDecimal getDepth()

### getPlace

    public java.lang.String getPlace()

### getUrl

    public java.lang.String getUrl()

### getDetail

    public java.lang.String getDetail()

### getAlert

    public java.lang.String getAlert()

### getStatus

    public java.lang.String getStatus()

### getNet

    public java.lang.String getNet()

### getCode

    public java.lang.String getCode()

### getIds

    public java.lang.String getIds()

### getSources

    public java.lang.String getSources()

### getTypes

    public java.lang.String getTypes()

### getType

    public java.lang.String getType()

### getMagType

    public java.lang.String getMagType()

### getTime

    public java.util.Date getTime()

### getUpdated

    public java.util.Date getUpdated()

### getTz

    public java.lang.Integer getTz()

### getFelt

    public java.lang.Integer getFelt()

### getTsunami

    public java.lang.Integer getTsunami()

### getSig

    public java.lang.Integer getSig()

### getNst

    public java.lang.Integer getNst()